Package ru.bitel.oss.systems.inventory.resource.common.bean

# Class PhoneResourceSubscription

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.oss.systems.inventory.resource.common.bean.PhoneResourceSubscription

All Implemented Interfaces:
  `Serializable`, `Idable`

public class PhoneResourceSubscription extends Id

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PhoneResourceSubscription()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Date`
  `getDateFrom()`
  `Date`
  `getDateTo()`
  `long`
  `getPhone()`
  `int`
  `getPhoneResourseId()`
  `int`
  `getSubscriberId()`
  `String`
  `getSubscriberTitle()`
  `void`
  `setDateFrom(Date dateFrom)`
  `void`
  `setDateTo(Date dateTo)`
  `void`
  `setPhone(long phone)`
  `void`
  `setPhoneResourseId(int phoneResourseId)`
  `void`
  `setSubscriberId(int subscriberId)`
  `void`
  `setSubscriberTitle(String subscriberTitle)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PhoneResourceSubscription

    public PhoneResourceSubscription()

- ## Method Details

  - ### getPhoneResourseId

    public int getPhoneResourseId()

  - ### setPhoneResourseId

    public void setPhoneResourseId(int phoneResourseId)

  - ### getPhone

    public long getPhone()

  - ### setPhone

    public void setPhone(long phone)

  - ### getDateFrom

    public Date getDateFrom()

  - ### setDateFrom

    public void setDateFrom(Date dateFrom)

  - ### getDateTo

    public Date getDateTo()

  - ### setDateTo

    public void setDateTo(Date dateTo)

  - ### getSubscriberId

    public int getSubscriberId()

  - ### setSubscriberId

    public void setSubscriberId(int subscriberId)

  - ### getSubscriberTitle

    public String getSubscriberTitle()

  - ### setSubscriberTitle

    public void setSubscriberTitle(String subscriberTitle)